MediaWiki:Vector.css

From Forklift Certified Video Games
Revision as of 23:03, 7 July 2025 by Admin (talk | contribs)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* All CSS here will be loaded for users of the Vector skin */

@import url('https://fonts.googleapis.com/css2?family=Geologica:[email protected]&display=swap');



/* Set background and text color */

body,
#p-navigation,
#content,
#mw-head,
#mw-page-base,
#p-logo,
#p-tb,
#p-tb-label,
#bodyContent,
#mw-panel { 
  background-color: #1e1e1e;
  color: #e0e0e0;
  font-family: 'Geologica'; 
}

/* Links */
a {
    color: #80b3ff;
}
a:visited {
    color: #c58aff;
}
a:hover {
    color: #ffffff;
}



/* Borders */
#mw-head-base {
  border-top: 1px solid #000000;
}
.mw-heading1,
h1,
.mw-heading2,
h2 {
  border-bottom: 1px solid #000000;
}


/* Hovering effect and margins for icons on main page */

.main-page-icons { 
  margin-right: 10px;
} 

.main-page-icons:hover { 
  width: 100%;
  height: auto;
  max-width: 100%;
  opacity: 0.7;
  cursor: pointer;
  margin-right: 10px;
} 

/* Search box and input fields */
input,
textarea,
select {
  background-color: #333;
  color: #eee;
  border: 1px solid #555;
}


/* Site backgrounds */

.mw-body { background-color: #F2F2F2; margin-right: 15px; border: 1px solid #000000; }

/* #content { background-color: #ded5ba; } */

#firstHeading { background-color: rgba(255, 132, 32, 0); }
.oo-ui-panelLayout-framed { border: 1px solid #000000; }

#catlinks { background-color: #e8e1d5; border: 1px solid #000000;}
#p-tb .body { background-color: #e8e1d5; }

/* Footer */
#footer { background: none; }
#footer-icons a { background: none; }
.mw-footer { min-height: 100px; margin-top: 20px; padding-left: 0; }
.cdx-button { border: none; }


/* Top menu tabs */

.vector-legacy-sidebar .vector-menu-portal .vector-menu-heading { background-image: none; }

.vector-menu-tabs, .vector-menu-tabs a, .vector-menu-dropdown h3 {
    background-image: none; }

.vector-menu-tabs li {
    background-image: none; }

.vector-menu-tabs .selected {
    background: none; background-color: rgba(209, 191, 167, 0.69); }

.vector-menu-tabs .selected a, .vector-menu-tabs .selected a:visited {
    color: #e0e0e0; }

/* .vector-menu-tabs { border-top: 1px solid #000000; border-left: 1px solid #000000; border-right: 1px solid #000000;} */



/* Dropdown menu */

.vector-menu-dropdown .vector-menu-content {
 background-image: none;
 background-color: rgba(209, 191, 167);
 border: 1px solid #000000; }

.vector-menu-tabs, .vector-menu-tabs a, #mw-head .vector-menu-dropdown .vector-menu-heading { background-image: none; }

/* Table customization */
/* Tables and infoboxes */
table,
.infobox {
    background-color: #2a2a2a;
    color: #ddd;
    border-color: #444;
}
table.infotable {border: 1px solid #000000;}
.infotable tr th,
.infotable tr td {
  border: none;
  vertical-align: top;
}

table.main-page-content-bg {
  background-image: url('https://certified.wiki/images/a/a3/Main_page_content_bg.jpg');
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  min-width: 550px; 
}

/* Search box and input fields */
input,
textarea,
select {
    background-color: #333 !important;
    color: #eee !important;
    border: 1px solid #555 !important;
}